package mdb;

import javax.jms.MapMessage;
import javax.jms.Queue;
import javax.jms.QueueConnection;
import javax.jms.QueueConnectionFactory;
import javax.jms.QueueSender;
import javax.jms.QueueSession;
import javax.jms.Session;
import javax.naming.InitialContext;


public class Client {

	public static void main(String[] args) throws Exception{

		InitialContext ctx = new InitialContext();
		QueueConnectionFactory factory = 
			(QueueConnectionFactory)ctx.lookup("QueueConnectionFactory");
		Queue queue = 
			(Queue)ctx.lookup("HelloQueue");

		QueueConnection con = factory.createQueueConnection();
		QueueSession session = con.createQueueSession(false, Session.AUTO_ACKNOWLEDGE);
		MapMessage message = session.createMapMessage();
		message.setString("word", "hello");

		QueueSender sender = session.createSender(queue);
		sender.send(message);
		
		System.exit(0);
	}

}
